Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357762 - kexec-tools: kdumpctl start can't start kdump service.
Summary: kexec-tools: kdumpctl start can't start kdump service.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kexec-tools
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: kdump team
QA Contact: Qiao Zhao
URL:
Whiteboard:
Depends On: 1356456
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 05:59 UTC by xiaoli feng
Modified: 2016-08-09 05:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1356456
Environment:
Last Closed: 2016-08-09 05:54:57 UTC


Attachments (Terms of Use)

Description xiaoli feng 2016-07-19 05:59:28 UTC
+++ This bug was initially created as a clone of Bug #1356456 +++

Description of problem:
From the kdumpctl help document, the kdumpctl start can start kdump service. But actually it doesn't start kdump service.


Version-Release number of selected component (if applicable):

4.6.3-300.fc24.ppc64

How reproducible:

100%
Steps to Reproduce:
1.systemctl stop kdump
2.kdumpctl start or restart
3.check if kdump service start

Actual results:
kdump service doesn't start after kdumpctl start

Expected results:

kdump service start after kdumpctl start.
Additional info:

Comment 2 Pratyush Anand 2016-07-19 06:22:38 UTC
(In reply to xiaoli feng from comment #0)
> Version-Release number of selected component (if applicable):
> 
> 4.6.3-300.fc24.ppc64

Bug is listed for RHEL7, then why is the FC24 component..May be you wanted to raise it for fedora.

> 
> Actual results:
> kdump service doesn't start after kdumpctl start
> 

What message do you get when you execute `kdumpctl restart`?

Comment 3 xiaoli feng 2016-07-19 06:51:56 UTC
(In reply to Pratyush Anand from comment #2)
> (In reply to xiaoli feng from comment #0)
> > Version-Release number of selected component (if applicable):
> > 
> > 4.6.3-300.fc24.ppc64
> 
> Bug is listed for RHEL7, then why is the FC24 component..May be you wanted
> to raise it for fedora.

Sorry, I file the bug for redora first. Then clone it to RHEL7.3.

> 
> > 
> > Actual results:
> > kdump service doesn't start after kdumpctl start
> > 
> 
> What message do you get when you execute `kdumpctl restart`?

It prints:

[root@hp-dl380pg8-10 ~]# kdumpctl restart
kexec: unloaded kdump kernel
Stopping kdump: [OK]
kexec: loaded kdump kernel
Starting kdump: [OK]

Comment 5 Qiao Zhao 2016-07-19 07:58:49 UTC
(In reply to xiaoli feng from comment #3)
> (In reply to Pratyush Anand from comment #2)
> > (In reply to xiaoli feng from comment #0)
> > > Version-Release number of selected component (if applicable):
> > > 
> > > 4.6.3-300.fc24.ppc64
> > 
> > Bug is listed for RHEL7, then why is the FC24 component..May be you wanted
> > to raise it for fedora.
> 
> Sorry, I file the bug for redora first. Then clone it to RHEL7.3.
> 
> > 
> > > 
> > > Actual results:
> > > kdump service doesn't start after kdumpctl start
> > > 
> > 
> > What message do you get when you execute `kdumpctl restart`?
> 
> It prints:
> 
> [root@hp-dl380pg8-10 ~]# kdumpctl restart
> kexec: unloaded kdump kernel
> Stopping kdump: [OK]
> kexec: loaded kdump kernel
> Starting kdump: [OK]

Could you show your kexec-tools version? I can't reproduce this issue on my test server.

[root@hp-dl388g8-06 ~]# kdumpctl status
Kdump is operational
[root@hp-dl388g8-06 ~]# systemctl status kdump.service
● kdump.service - Crash recovery kernel arming
   Loaded: loaded (/usr/lib/systemd/system/kdump.service; enabled; vendor preset: enabled)
   Active: active (exited) since Tue 2016-07-19 01:26:31 EDT; 2h 28min ago
  Process: 1100 ExecStart=/usr/bin/kdumpctl start (code=exited, status=0/SUCCESS)
 Main PID: 1100 (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/kdump.service

Jul 19 01:26:26 hp-dl388g8-06.rhts.eng.pek2.redhat.com systemd[1]: Starting Crash recovery kernel arming...
Jul 19 01:26:31 hp-dl388g8-06.rhts.eng.pek2.redhat.com kdumpctl[1100]: kexec: loaded kdump kernel
Jul 19 01:26:31 hp-dl388g8-06.rhts.eng.pek2.redhat.com kdumpctl[1100]: Starting kdump: [OK]
Jul 19 01:26:31 hp-dl388g8-06.rhts.eng.pek2.redhat.com systemd[1]: Started Crash recovery kernel arming.
[root@hp-dl388g8-06 ~]# systemctl stop kdump
[root@hp-dl388g8-06 ~]# systemctl status kdump.service
● kdump.service - Crash recovery kernel arming
   Loaded: loaded (/usr/lib/systemd/system/kdump.service; enabled; vendor preset: enabled)
   Active: inactive (dead) since Tue 2016-07-19 03:56:41 EDT; 3s ago
  Process: 2657 ExecStop=/usr/bin/kdumpctl stop (code=exited, status=0/SUCCESS)
  Process: 1100 ExecStart=/usr/bin/kdumpctl start (code=exited, status=0/SUCCESS)
 Main PID: 1100 (code=exited, status=0/SUCCESS)

Jul 19 01:26:26 hp-dl388g8-06.rhts.eng.pek2.redhat.com systemd[1]: Starting Crash recovery kernel arming...
Jul 19 01:26:31 hp-dl388g8-06.rhts.eng.pek2.redhat.com kdumpctl[1100]: kexec: loaded kdump kernel
Jul 19 01:26:31 hp-dl388g8-06.rhts.eng.pek2.redhat.com kdumpctl[1100]: Starting kdump: [OK]
Jul 19 01:26:31 hp-dl388g8-06.rhts.eng.pek2.redhat.com systemd[1]: Started Crash recovery kernel arming.
Jul 19 03:56:41 hp-dl388g8-06.rhts.eng.pek2.redhat.com systemd[1]: Stopping Crash recovery kernel arming...
Jul 19 03:56:41 hp-dl388g8-06.rhts.eng.pek2.redhat.com kdumpctl[2657]: kexec: unloaded kdump kernel
Jul 19 03:56:41 hp-dl388g8-06.rhts.eng.pek2.redhat.com kdumpctl[2657]: Stopping kdump: [OK]
Jul 19 03:56:41 hp-dl388g8-06.rhts.eng.pek2.redhat.com systemd[1]: Stopped Crash recovery kernel arming.
[root@hp-dl388g8-06 ~]# kdumpctl status
Kdump is not operational

Comment 6 Qiao Zhao 2016-07-19 08:04:16 UTC
(In reply to xiaoli feng from comment #0)
> +++ This bug was initially created as a clone of Bug #1356456 +++
> 
> Description of problem:
> From the kdumpctl help document, the kdumpctl start can start kdump service.
> But actually it doesn't start kdump service.
> 
> 
> Version-Release number of selected component (if applicable):
> 
> 4.6.3-300.fc24.ppc64
> 
> How reproducible:
> 
> 100%
> Steps to Reproduce:
> 1.systemctl stop kdump
> 2.kdumpctl start or restart
> 3.check if kdump service start
> 
> Actual results:
> kdump service doesn't start after kdumpctl start
> 
> Expected results:
> 
> kdump service start after kdumpctl start.
> Additional info:

Sorry, I have reproduced this problem.
I got the wrong order.
>
> 1.systemctl stop kdump
> 2.kdumpctl start or restart
> 3.check if kdump service start

Comment 7 xiaoli feng 2016-07-19 09:47:51 UTC
Even if the kdump service show inactive(systemctl status kdump), the kdump also can work and generate dump file. So I think "systemctl status kdump" should show correct info after kdumpctl restart.

Comment 8 Branislav Blaškovič 2016-08-08 11:11:38 UTC
I can reproduce this on s390x with kexec-tools-2.0.7-38.el7_2.1.s390x.

Details:
● kdump.service - Crash recovery kernel arming
   Loaded: loaded (/usr/lib/systemd/system/kdump.service; enabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Fri 2016-08-05 12:21:39 EDT; 19min ago
 Main PID: 1390 (code=exited, status=1/FAILURE)

Aug 05 12:21:39 ibm-z10-30.rhts.eng.bos.redhat.com dracut[4172]: drwxr-xr-x   2 root     root            0 Aug  5 12:20 var
Aug 05 12:21:39 ibm-z10-30.rhts.eng.bos.redhat.com dracut[4172]: lrwxrwxrwx   1 root     root           11 Aug  5 12:20 var/lock -> ../run/lock
Aug 05 12:21:39 ibm-z10-30.rhts.eng.bos.redhat.com dracut[4172]: lrwxrwxrwx   1 root     root            6 Aug  5 12:20 var/run -> ../run
Aug 05 12:21:39 ibm-z10-30.rhts.eng.bos.redhat.com dracut[4172]: ========================================================================
Aug 05 12:21:39 ibm-z10-30.rhts.eng.bos.redhat.com kdumpctl[1390]: No memory reserved for crash kernel.
Aug 05 12:21:39 ibm-z10-30.rhts.eng.bos.redhat.com kdumpctl[1390]: Starting kdump: [FAILED]
Aug 05 12:21:39 ibm-z10-30.rhts.eng.bos.redhat.com systemd[1]: kdump.service: main process exited, code=exited, status=1/FAILURE
Aug 05 12:21:39 ibm-z10-30.rhts.eng.bos.redhat.com systemd[1]: Failed to start Crash recovery kernel arming.
Aug 05 12:21:39 ibm-z10-30.rhts.eng.bos.redhat.com systemd[1]: Unit kdump.service entered failed state.
Aug 05 12:21:39 ibm-z10-30.rhts.eng.bos.redhat.com systemd[1]: kdump.service failed.


This means, that clean install of rhel7 does not boot with 0 failed services, which should be the correct behaviour.

Attaching TCMS test case which can reproduce this issue in Beaker reliably.

Comment 9 Dave Young 2016-08-09 05:54:31 UTC
It is an intended behavior, only systemctl start/stop can update service status. kdumpctl is for internal use only. So it is not a bug.


Note You need to log in before you can comment on or make changes to this bug.